Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 3115

Summary: smbd tries to allocate 10,000 open files?????
Product: [Retired] Red Hat Linux Reporter: Kevin <kevymac>
Component: sambaAssignee: Trond Eivind Glomsrxd <teg>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-05-31 20:18:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Kevin 1999-05-28 12:11:25 UTC
I was recently looking at my samba logs and it was trying to
request 10,000 open files, and only 1014 are available. It
is just an information status message, not an error
message.... is this a bug or is it a limitation of the
current linux kernel?
exact message: [1999/05/11 13:34:06, 1]
smbd/server.c:main(614)
  smbd version 2.0.3 started.
  Copyright Andrew T[1999/05/11 13:34:06, 1]
[1999/05/11 13:34:06, 1] smbd/files.c:file_init(219)
  file_init: Information only: requested 10000 open files,
1014 are available.

Comment 1 Jeff Johnson 1999-05-31 20:18:59 UTC
This is a limitation of the kernel (and possibly glibc) rather
than a bug.

BTW, it appears that you can use the "max open files" tuning
parameter to configure a more realistic 1000 open files if
you want to get rid of the message